# Flag_Manip.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/os_include/os_fcntl.h"`
`#include "ace/Flag_Manip.inl"`

Include dependency graph for Flag_Manip.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE

## Defines

#define | ACE_EXPORT_MACRO ACE_Export

## Functions

ACE_Export int | set_flags (ACE_HANDLE handle, int flags)
| Set flags associated with handle.
ACE_Export int | clr_flags (ACE_HANDLE handle, int flags)
| Clear flags associated with handle.
ACE_NAMESPACE_INLINE_FUNCTION int | get_flags (ACE_HANDLE handle)
| Return the current setting of flags associated with handle.

## Detailed Description

Id
  Flag_Manip.h,v 1.12 2005/10/28 16:14:52 ossama Exp

This class includes the functions used for the Flag Manipulation.

Author:
  Priyanka Gontla <pgontla@doc.ece.uci.edu>

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

## Function Documentation

int ACE::clr_flags | ( | ACE_HANDLE | handle,
|  | int | flags
| ) |

| Clear flags associated with handle.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE::get_flags | ( | ACE_HANDLE | handle | ) |

| Return the current setting of flags associated with handle.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL int ACE::set_flags | ( | ACE_HANDLE | handle,
|  | int | flags
| ) |

| Set flags associated with handle.